Bug 1021302 - Connector lines not connected to objects
Connector lines not connected to objects
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard Editor (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER7
: ---
Assigned To: Rob Cernich
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-20 23:14 EDT by Catherine Robson
Modified: 2015-08-02 19:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1797 Major Closed connector lines drag and drop interaction 2014-06-16 23:53:51 EDT

  None (edit)
Description Catherine Robson 2013-10-20 23:14:47 EDT
Description of problem:
The connector lines between services and references might end in 'dead space' on the canvas, not completely connecting the objects.  This seemed to lead to confusion at first for users who were not convinced that they correctly connected these objects.


Suggested resolution:
Run the connector lines underneath the object to the mid-point of that object so that the connectors always touch the edges of the items they are connecting.
Comment 2 Rob Cernich 2013-10-21 09:42:26 EDT
Could you please attach a screen shot?
Comment 3 JBoss JIRA Server 2013-10-30 20:35:59 EDT
Rob Cernich <rcernich@redhat.com> made a comment on jira SWITCHYARD-1797

New anchors on composite services/references.  Notice the shaded circles in the 200% images.  These are the anchors that can be clicked to invoke drag-and-drop connection creation.  Note, the user must click within this area.  If the user doesn't, the behavior will be as it was previously when there was no ability to create connections through dnd.

Also note that the connections are terminated at these anchors, which fixes the problem of the additional white space in between the figures and the connections.
Comment 4 JBoss JIRA Server 2013-11-01 09:38:51 EDT
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1797

pushed
Comment 5 Tomáš Sedmík 2013-12-17 15:05:37 EST
Verified in jbdsis-7.0.0.CR1 (SwitchYard Tooling - 1.1.2.v20131213-2033-H428-CI)
Comment 6 JBoss JIRA Server 2014-06-16 19:48:46 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1797 to Closed

Note You need to log in before you can comment on or make changes to this bug.